MSMEMSME Migration Status

Udyog to Udyam Migration Status

Check whether a business has migrated from Udyog Aadhaar to Udyam registration. Track migration status and new Udyam number.

curl -X GET "https://production.deepvue.tech/v1/business-compliance/msme-migration-status?pan_number=example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
  -H "x-api-key: YOUR_API_KEY"
{
  "code": 200,
  "timestamp": 1738045406000,
  "transaction_id": "bd686bf178ed412d9ba95aa8d3f43419",
  "sub_code": "SUCCESS",
  "message": "MSME Registration Found.",
  "data": {
    "pan": "AAGCA7131P",
    "msme_migration_status": "NO"
  }
}
GET
/v1/business-compliance/msme-migration-status
GET
Bearer Token (JWT)
Bearer Tokenstring
Required

ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .

ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
API Key (header: x-api-key)
x-api-keystring
Required

The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.

The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT). ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .

header
x-api-keystring
Required

API Key for authentication. The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.

Query Parameters

Responses

codeinteger
timestampinteger
transaction_idstring
sub_codestring
messagestring
dataobject

Overview

This API determines whether an MSME (Micro, Small and Medium Enterprise) business has transitioned to the current Udyam regime by accepting a PAN Number as input.

The endpoint accepts a PAN number as a query parameter and returns migration status information indicating whether the business has migrated ("YES" or "NO") to the latest MSME registration framework.

One Access Token will be valid for only 24 hours. After 24 hours, you can renew the token by using the Authorize Endpoint.